%define with_libstdc_preview 0

Name:		scim-sinhala
Version:	0.1.0
Release:	2%{?dist}
Summary:	Sri Lankan input method for SCIM

Group:		System Environment/Libraries
License:	GPL
Url:		http://scim-imengine.sourceforge.jp/
Source:		http://sourceforge.jp/projects/scim-imengine/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	scim-devel
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim

%description
This package provides a Sinhala input method for SCIM.


%prep
%setup -q


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/scim-1.0/1.4.0/IMEngine/sinhala{,.so}

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/IMEngine
%{_datadir}/scim/icons


%changelog
* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-2
- add .so suffix to IME module filename

* Wed Jul 26 2006 Jens Petersen <petersen@redhat.com> - 0.1.0-1
- package for Fedora

* Thu Sep  8 2005 Jens Petersen <petersen@redhat.com> - 0.0.0-0
- initial packaging
